N64 Texture Pack
================

Some low-resolution textures that can be used to imitate the style of Nintendo 64 games such as Ocarina of Time or Super Mario 64.

Each texture is designed to be easy to edit and somewhat ambiguous in what it depicts so that it can be interpreted as a wide range of possible materials.

These textures are not so much pixel art as low-resolution art as individual pixels are not of great importance. To achieve the Nintendo 64 style, I would recommend stretching these textures quite substantially relative to the models or surfaces they are being printed on and using either bilinear, quadratic or cubic interpolation to create a soft look.

All textures are tileable both vertically and horizontally with themselves.

Most textures are 32x32 pixels in size except for a window texture which is 32x16 and a staircase texture which is actually a group of four steps with different arrangements of edges.

A note on the staircase texture: even though a staircase is usually considered a series of step polygons, in Ocarina of Time staircases appeared often as flat textures with fake lighting, which is what the staircase texture provided in this pack intends to imitate.

Enjoy using these! I may make more later and may also make some transitional and path textures.

Thank you.


Version
-------

2024-12-18


Changelog
---------
Since version 2024-12-17

- All textures are now stored in their own PNG files and also compiled into a preview PNG file rather than stored together in a single large PNG file.
- Corrected some off-color areas in one of the lava textures.
- Corrected some apparent straight lines in the alien flesh textures.
- Updated the license given in the description to be CC0 specifically.
- Added "32x16" and "32x8" tags to indicate that some textures are of those resolutions rather than the usual "32x32".


License
-------

CC0 (Public domain). Credit as n64guy would be nice but not necessary.


Software Used
-------------

Aseprite was used to draw these textures. A drawing tablet was used to produce the important soft brush work.